$orange: #de552f;
$yellow: #f1f1b5;
$blue: #4766b0;
.modal {
  position: fixed;
  display: block;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  visibility: hidden;
  opacity: 0;
  transition: all 0.1s ease-in-out;
  // overflow: hidden;
  overflow-y: auto;
  overflow-x: hidden;
  z-index: 5000;
  > div:first-child {
    animation: unset;
    transition: unset;
  }
  &__backdrop {
    background: rgba(0, 0, 0, 0.8);
    //position: absolute;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: -1;
    visibility: hidden;
    overflow: hidden;
    &.bclose {
      display: none;
      visibility: hidden;
      opacity: 0;
    }
    &.bopen {
      opacity: 1;
      visibility: visible;
      display: block;
      body {
        overflow: hidden;
      }
    }
  }
  &__content {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: none;
  }
  &__contentbg {
    width: 70vw;
    position: relative;
    pointer-events: visible;
    // background: rgba(0,255,0,0.5);
  }
  &__header {
    position: relative;
    display: block;
    height: 10vh;
  }
}

.confirmbtn {
  position: absolute;
  bottom: 5%;
  left: 50%;
  display: block;
  margin: 0 auto;
  max-width: 30%;
  cursor: pointer;
  transform: translate3d(-30%, -40%, 0);
  &__redeem {
    composes: confirmbtn;
    transform: translate3d(-40%, 0, 0);
  }
}
.closebtn {
  // background: url('../../static/images/modal/close.png') top center no-repeat;
  // background-size: cover;
  position: absolute;
  top: 3%;
  right: 2%;
  display: block;
  margin: 0 auto;
  max-width: 6%;
  cursor: pointer;
}
.contentwrap {
  max-width: 370px;
  //max-height: 500px;
  width: 100%;
  //height: 100%;
  position: relative;
  z-index: 20;
  padding: 3px;
  pointer-events: visible;
  border: 7px solid #ff00de;
  border-radius: 15px;
  background: #151515 url('../../static/images/light.png') no-repeat top center;
  text-align: center;
  color: #fff;
  padding: 70px 20px 20px;
  &__fontregis {
    font-size: 1.3em;
  }
  &.confirm {
    width: 1000px;
    height: 380px;
    // padding: 2%;
    max-width: unset;
    max-height: unset;
    box-sizing: border-box;
  }
}
.contentTitle{
  background: linear-gradient(#ff95df, #ff4889);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  color: #ff4889;
  font-family: 'Anakotmai-Medium', sans-serif;
  font-size: 30px;
}
.contentInner {
  margin: 50px 0;
  font-size: 22px;
  font-weight: bold;
  > canvas {
    outline: #fff 40px solid;
  }
}
.bgqr {
  // background-color: #fff;
}
.char {
  position: absolute;
  right: -12%;
  bottom: 2%;
  pointer-events: none;
}
.confirmcontent {
  color: #fff;
  width: 100%;
  text-align: center;
  height: 100%;
  margin: 0 auto;
  background: rgba(0, 0, 0, 0.7);
  padding: 2%;
  box-sizing: border-box;
  &__text {
    font-size: 2em;
    &.missionmodal {
      height: 80%;
    }
    &.message {
      height: 70%;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    &.half {
      height: 50%;
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }
  &__item {
    display: block;
    margin: 1% auto;
    width: 13%;
  }
  &__missionitem {
    width: 30%;
    display: block;
    margin: 1% auto;
    &.mission {
      width: unset;
      height: 80%;
    }
  }
}
.titlebox {
  width: 80%;
  height: 50%;
  text-align: center;
  color: $orange;
  font-size: 2.5em;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 1px solid $orange;
  @media (max-width: 1024px) {
    width: 90%;
  }
}
.list {
  margin: 2% auto;
  list-style-type: decimal;
  width: 100%;
  padding: 0;
  // background: rgba(255,0,0,0.5);
  height: 80%;
  overflow-y: auto;
  overflow-x: hidden;
  color: #fff;
  > li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    > div {
      width: 33.33%;
      font-size: 1.5em;
      white-space: nowrap;
    }
    > div:first-child {
      color: #888;
    }
  }
}
.faqlist {
  margin: 2% auto;
  list-style-type: none;
  width: 100%;
  padding: 0;
  height: 80%;
  overflow-y: auto;
  overflow-x: hidden;
  font-size: 1.5em;
  color: #fff;
  > li {
    margin: 2% auto;
    > div:first-child {
      color: $orange;
    }
  }
}
.title {
  margin: 25px auto;
  text-align: center;
  font-size: 2.5em;
  background-color: $blue;
  color: #fff;
  font-size: 1.5em;
  padding: 5px 30px;
  position: relative;
  max-width: 325px;
}
.closemodal {
  position: absolute;
  right: 10px;
  top: 10px;
  width: 35px;
  height: 35px;
  cursor: pointer;
  z-index: 1;
  &::before,
  &::after {
    position: absolute;
    left: 15px;
    content: " ";
    height: 33px;
    width: 2px;
    background-color: #fff;
  }
  &::before {
    transform: rotate(45deg);
  }
  &::after {
    transform: rotate(-45deg);
  }
}
.btnbox {
  display: flex;
  justify-content: space-around;
  align-items: center;
  // width: 50%;
  // height: 50%;
  margin: 2% auto;
  margin-bottom: -50px;
  &.message {
    height: unset;
    margin: 0 auto;
  }
  &.confirm {
    height: unset;
  }
  .btn {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'IBMPlexThai', sans-serif;
    font-size: 28px;
    background: url('../../static/images/button.png') no-repeat 0 0; 
    color: #101010;
    padding: 15px 0;
    width: 305px;
    margin-top: 20px;
    text-align: center;
  }
}
.open {
  visibility: visible;
  opacity: 1;
  > .modal__content {
    animation: showani 0.2s alternate forwards;
  }
}
.close {
  // display: none;
  animation: hideani 0.2s alternate forwards;
}
.textcenter {
  text-align: center;
}

.loading {
  text-align: center;
  height: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.loadingring {
  // display: inline-block;
  // width: 10vw;
  // height: 10vw;
  display: flex;
  justify-content: center;
  align-items: center;
  @media (min-width: 1024px) {
    transform: scale(0.5);
  }
}
.loadingring:after {
  content: " ";
  display: block;
  width: 8vw;
  height: 8vw;
  margin: 1px;
  border-radius: 50%;
  border: 1vw solid $blue;
  border-color: $blue transparent $blue transparent;
  animation: loadingringani 1.2s linear infinite;
}
@keyframes loadingringani {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes showani {
  0% {
    transform: scale(0.7);
  }

  45% {
    transform: scale(1.05);
  }

  80% {
    transform: scale(0.95);
  }

  100% {
    transform: scale(1);
  }
}

// Disppearance animation
@keyframes hideani {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  100% {
    transform: scale(0.5);
    opacity: 0;
  }
}

.table {
  display: block;
  width: 96%;
  max-height: 50vh;
  margin: 0px auto;
  overflow-y: scroll;
  & .date {
    width: 33%;
    background-color: #273351;
  }
  & .name {
    width: 33%;
    background-color: #273351;
  }
  & .status {
    width: 33%;
    background-color: #273351;
  }
}
.slot {
  display: flex;
  width: 100%;
  text-align: center;
  justify-content: space-between;
  align-items: center;
  font-size: 0.8em;
}
.slotHead {
  font-size: 1em;
  & .date,
  & .name,
  & .status {
    background-color: $blue;
  }
}
